Page MenuHomeFreeBSD

[libedit] sync with NetBSD
AbandonedPublic

Authored by bapt on Aug 9 2019, 1:18 AM.

Details

Reviewers
jilles
naito.yuichiro_gmail.com
Group Reviewers
manpages
Summary

Upstream (NetBSD) has been fixed many bugs in libedit.
To reduce the difference from upstream,
we import libedit again.

According to NetBSD commit log, following bugs have been fixed.

  • NetBSD bug database

PR/54415
PR/54399
PR/54400
PR/54329
PR/54281
PR/54280
PR/54279
PR/54131
PR/52359
PR/54117
PR/54067
PR/53983
PR/53981
PR/53856
PR/53803

Major souce code style changes:

  • omit WIDECHAR definition. It became default.
  • changed wide charactor type from 'Char' to 'wchar_t'.
  • changed 'private' keyword to 'static'.
  • changed 'protected' keyword to 'libedit_private'.
  • 'public' keyword has been omitted.

New manual page:

  • editline.7 has been added.

Function changes:

  • _el_fn_sh_complete() has been deleted.
  • completion_matches() has changed its parameter.
  • rl_reset_terminal() has changed return type.
  • rl_stuff_char() has changed return type.

So we need to bump up library version from 7 to 8.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

bcr accepted this revision as: manpages.Aug 10 2019, 2:12 PM
bcr added a subscriber: bcr.

OK from manpages.

re-sync with NetBSD on Wed Aug 21 11:11:48 2019 +0000.
updated FreeBSD base revision.

Current Status is work in progress.
I'm not sure that all bugs (that is reported in NetBSD bug database) are reproducible on FreeBSD.
I saw that OpenBSD guy said libedit had a serious problem in https://marc.info/?l=openbsd-tech&m=156463894328592&w=2.
It is my motivation for this patch.

bapt added a subscriber: bapt.Sep 11 2019, 7:07 AM

Sorry I have missed this review. I already imported a newer snapshot of libedit in base. I did it through a new import due to the fact the historical import was messy (svn internal kitchen sink) see: D21584

@bapt
Never mind. I know updating lib/libedit is a tough job.
I will see your differential D21584.

bapt commandeered this revision.Sep 13 2019, 6:51 AM
bapt abandoned this revision.
bapt added a reviewer: naito.yuichiro_gmail.com.

This has been done in rS352275